echo off
rem   CB_V0200
echo ・全体コンパイルを開始します。

set  MARIKO=AB
set  GCC_OPTION=FLWGTO

set  SFXVI_GCC_OPTION=-fno-defer-pop -fstrings-align -O

set  SFXVI_GCC_TARGET=action
echo ・%SFXVI_GCC_TARGET%.c をコンパイル中です。
GCC.X %SFXVI_GCC_TARGET%.c -o%SFXVI_GCC_TARGET%.s %SFXVI_GCC_OPTION% -S
echo ・%SFXVI_GCC_TARGET%.s をアセンブル中です。
HAS.X %SFXVI_GCC_TARGET%.s -o %SFXVI_GCC_TARGET%.o -u -w
del %SFXVI_GCC_TARGET%.s

set  SFXVI_GCC_TARGET=func
echo ・%SFXVI_GCC_TARGET%.c をコンパイル中です。
GCC.X %SFXVI_GCC_TARGET%.c -o%SFXVI_GCC_TARGET%.s %SFXVI_GCC_OPTION% -S
echo ・%SFXVI_GCC_TARGET%.s をアセンブル中です。
HAS.X %SFXVI_GCC_TARGET%.s -o %SFXVI_GCC_TARGET%.o -u -w
del %SFXVI_GCC_TARGET%.s

set  SFXVI_GCC_TARGET=command
echo ・%SFXVI_GCC_TARGET%.c をコンパイル中です。
GCC.X %SFXVI_GCC_TARGET%.c -o%SFXVI_GCC_TARGET%.s %SFXVI_GCC_OPTION% -S
echo ・%SFXVI_GCC_TARGET%.s をアセンブル中です。
HAS.X %SFXVI_GCC_TARGET%.s -o %SFXVI_GCC_TARGET%.o -u -w
del %SFXVI_GCC_TARGET%.s

set  SFXVI_GCC_TARGET=shot
echo ・%SFXVI_GCC_TARGET%.c をコンパイル中です。
GCC.X %SFXVI_GCC_TARGET%.c -o%SFXVI_GCC_TARGET%.s %SFXVI_GCC_OPTION% -S
echo ・%SFXVI_GCC_TARGET%.s をアセンブル中です。
HAS.X %SFXVI_GCC_TARGET%.s -o %SFXVI_GCC_TARGET%.o -u -w
del %SFXVI_GCC_TARGET%.s

set  SFXVI_GCC_TARGET=mmp_act
echo ・%SFXVI_GCC_TARGET%.c をコンパイル中です。
GCC.X %SFXVI_GCC_TARGET%.c -o%SFXVI_GCC_TARGET%.s %SFXVI_GCC_OPTION% -S
echo ・%SFXVI_GCC_TARGET%.s をアセンブル中です。
HAS.X %SFXVI_GCC_TARGET%.s -o %SFXVI_GCC_TARGET%.o -u -w
del %SFXVI_GCC_TARGET%.s

set  SFXVI_GCC_TARGET=mmp_sub
echo ・%SFXVI_GCC_TARGET%.c をコンパイル中です。
GCC.X %SFXVI_GCC_TARGET%.c -o%SFXVI_GCC_TARGET%.s %SFXVI_GCC_OPTION% -S
echo ・%SFXVI_GCC_TARGET%.s をアセンブル中です。
HAS.X %SFXVI_GCC_TARGET%.s -o %SFXVI_GCC_TARGET%.o -u -w
del %SFXVI_GCC_TARGET%.s

set  SFXVI_GCC_TARGET=mmp_opt
echo ・%SFXVI_GCC_TARGET%.c をコンパイル中です。
GCC.X %SFXVI_GCC_TARGET%.c -o%SFXVI_GCC_TARGET%.s %SFXVI_GCC_OPTION% -S
echo ・%SFXVI_GCC_TARGET%.s をアセンブル中です。
HAS.X %SFXVI_GCC_TARGET%.s -o %SFXVI_GCC_TARGET%.o -u -w
del %SFXVI_GCC_TARGET%.s

set  SFXVI_GCC_TARGET=mmp_vct
echo ・%SFXVI_GCC_TARGET%.c をコンパイル中です。
GCC.X %SFXVI_GCC_TARGET%.c -o%SFXVI_GCC_TARGET%.s %SFXVI_GCC_OPTION% -S
echo ・%SFXVI_GCC_TARGET%.s をアセンブル中です。
HAS.X %SFXVI_GCC_TARGET%.s -o %SFXVI_GCC_TARGET%.o -u -w
del %SFXVI_GCC_TARGET%.s

set  SFXVI_GCC_TARGET=mmp_cpu
echo ・%SFXVI_GCC_TARGET%.c をコンパイル中です。
GCC.X %SFXVI_GCC_TARGET%.c -o%SFXVI_GCC_TARGET%.s %SFXVI_GCC_OPTION% -S
echo ・%SFXVI_GCC_TARGET%.s をアセンブル中です。
HAS.X %SFXVI_GCC_TARGET%.s -o %SFXVI_GCC_TARGET%.o -u -w
del %SFXVI_GCC_TARGET%.s

link.bat
